Documentation link on Content Host Registration page should use documentation helper

07/10/2018 10:24 AM - Adam Ruzicka

Status: Closed   

Priority: Normal   

Assignee:    

Category: Web UI   

Target version: Katello 3.9.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1599310 Red Hat JIRA:  

Pull request:    

Description

Description of problem:

Documentation linked from Registration page points to katello plugin docs on theforeman.org, not RH docs

How reproducible:

Steps to Reproduce:

1.  Navigate to Content Host Registration page in UI

2.  Note the text at the bottom, "Learn more about these packages in the Documentation"

3. Click the 'Documentation' link

Actual results:

User is taken to foreman katello plugin docs

Expected results:

RH Docs

Additional info:

History

#1 - 07/10/2018 10:25 AM - Adam Ruzicka

- Category set to Web UI

The content host registration page needs to use a documentation_url helper to link to the docs so the link can be diverted in downstream theme.

#2 - 07/11/2018 05:57 PM - Justin Sherrill

- Subject changed from Documentation link on Content Host Registration page leads to upstream docs to Documentation link on Content Host

Registration page should use documentation helper

- Description updated

#3 - 07/11/2018 05:58 PM - Justin Sherrill

- Target version set to Katello 3.7.1

#4 - 09/06/2018 08:03 PM - Jonathon Turel

- Target version changed from Katello 3.7.1 to 931

#5 - 09/11/2018 02:32 PM - Jonathon Turel

Adam, do you have an example of the aforementioned 'documentation helper' to help whoever works on this (including me)?

#6 - 09/12/2018 06:32 AM - Adam Ruzicka

In Foreman there's the documentation_url

1

 helper. In downstream it gets overriden to return links to the product documentation.

[1] - https://github.com/theforeman/foreman/blob/develop/app/helpers/application_helper.rb#L453
#7 - 09/26/2018 03:58 PM - Christine Fouant

- Status changed from New to Closed

#8 - 10/29/2018 06:15 PM - Jonathon Turel

- Target version changed from 931 to Katello 3.9.0
